










<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="title" content="Sphinx-Themes template">
        <meta name="version" content="">
        <meta name="copyright" content="2018, sphinx-themes.org">
        
        
        
        <!-- Favicon Icon -->
        

        
        <title>number_of_cars_producer module</title>
        

        <script type="text/javascript" src="_static/js/jquery.min.js"></script>
       
        
    <link rel="stylesheet" href="_static/css/bootstrap.min.css">
    <link rel="stylesheet" href="_static/css/font-awesome.min.css">
    <link rel="stylesheet" href="_static/css/hover-min.css">
    <!--<link rel="stylesheet" href="_static/octicons/lib/octicons.css">-->
    <!--<link rel="stylesheet" href="_static/primer-markdown/lib/user-content.min.css">-->
    <link rel="stylesheet" href="_static/css/syntax.css" type="text/css" />

    <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    

    

    
    <style>
    .jumbotron.geopattern {
         background-image: url('./');
         }
    </style>
    

    <script type="text/javascript" src="_static/js/bootstrap.min.js"></script>
    
    


        
        
        
        
        
        <!-- Genindex Linktag -->
        <link rel="index" title="Index" href="genindex.html" />
        
        
        <!-- Search Linktag -->
        <link rel="search" title="Search" href="search.html" />
        
        
        
        <!-- Next Linktag -->
        <link rel="next" title="object_detection_image module" href="object_detection_image.html" />
        
        
        <!-- Previous Linktag -->
        <link rel="prev" title="generate_tfrecord module" href="generate_tfrecord.html" />
        
        
        
        
    </head>
    <body>
        
        <header class="site-header">
            <div class="container">

            </div>
        </header>
        
        <section class="jumbotron geopattern" data-pattern-id="number_of_cars_producer">
            <div class="container">
                <div id="jumbotron-meta-info">
                    <h1>number_of_cars_producer module</h1>
                    <span class="meta-info">
                        
                        
                        
                        
                        
                        
                    </span>
                </div>
            </div>
        </section>
        
        <article class="post container" itemscope itemtype="http://schema.org/BlogPosting">
            <div class="row">
                <div class="col-md-8 markdown-body">
                    
  <div class="section" id="module-number_of_cars_producer">
<span id="number-of-cars-producer-module"></span><h1>number_of_cars_producer module<a class="headerlink" href="#module-number_of_cars_producer" title="Permalink to this headline">¶</a></h1>
<p>this file is an implementation for RabbitMQ message broker architecture.
we are using Pika which is the Python client recommended by the RabbitMQ.</p>
<dl class="function">
<dt id="number_of_cars_producer.connect_to_host">
<code class="sig-prename descclassname">number_of_cars_producer.</code><code class="sig-name descname">connect_to_host</code><span class="sig-paren">(</span><em class="sig-param">host</em><span class="sig-paren">)</span><a class="headerlink" href="#number_of_cars_producer.connect_to_host" title="Permalink to this definition">¶</a></dt>
<dd><p>connect to the hosted machine
:param host: ip adress
:return: the connection params</p>
</dd></dl>

<dl class="function">
<dt id="number_of_cars_producer.params_to_json">
<code class="sig-prename descclassname">number_of_cars_producer.</code><code class="sig-name descname">params_to_json</code><span class="sig-paren">(</span><em class="sig-param">identifier</em>, <em class="sig-param">cars_left</em>, <em class="sig-param">cars_right</em><span class="sig-paren">)</span><a class="headerlink" href="#number_of_cars_producer.params_to_json" title="Permalink to this definition">¶</a></dt>
<dd><p>dump the entered params into a json file
:param identifier: a message identifier
:param cars_left: an integer
:param cars_right: an integer
:return: json file</p>
</dd></dl>

<dl class="function">
<dt id="number_of_cars_producer.send_message_to_queue">
<code class="sig-prename descclassname">number_of_cars_producer.</code><code class="sig-name descname">send_message_to_queue</code><span class="sig-paren">(</span><em class="sig-param">message</em>, <em class="sig-param">channel</em>, <em class="sig-param">connection</em>, <em class="sig-param">queue</em><span class="sig-paren">)</span><a class="headerlink" href="#number_of_cars_producer.send_message_to_queue" title="Permalink to this definition">¶</a></dt>
<dd><p>Send a message to the specific queue
:param message: a dumped json file
:param channel:
:param connection:
:param queue: string
:return: None</p>
</dd></dl>

</div>


                    <!-- Comments -->
                    
                </div>
                <div class="col-md-4 toc">
                    <h3>Table Of Contents</h3>
                    <div id="toc">
                        
                        <p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">Custom-TensorFlow-Object-Detection-API</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="generate_tfrecord.html">generate_tfrecord module</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">number_of_cars_producer module</a></li>
<li class="toctree-l2"><a class="reference internal" href="object_detection_image.html">object_detection_image module</a></li>
<li class="toctree-l2"><a class="reference internal" href="object_detection_video.html">object_detection_video module</a></li>
<li class="toctree-l2"><a class="reference internal" href="object_detection_webcam.html">object_detection_webcam module</a></li>
<li class="toctree-l2"><a class="reference internal" href="test_generate_tfrecord.html">test_generate_tfrecord module</a></li>
<li class="toctree-l2"><a class="reference internal" href="test_number_of_cars_producer.html">test_number_of_cars_producer module</a></li>
</ul>
</li>
</ul>

                        
                    </div>
                </div>
            </div>
        </article>
        
        
        <footer class="container">
            <div class="site-footer">
                <div class="copyright pull-left">
                    
                    &#169; Copyright 2018, sphinx-themes.org.
                    
                </div>
                <div class="source_code">
                    
                    <a href="javascript:window.scrollTo(20,20)">
                        <i class="fa fa-arrow-up" title="To The Top" aria-hidden="true"></i>
                    </a>
                    
                </div>
                
                <div class="sphinx pull-right">
                    
                    Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.2.0
                    
                </div>
                
            </div>
            
        </footer>
        
        
        
     
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script> 
    <script type="text/javascript" src="_static/jquery.js"></script> 
    <script type="text/javascript" src="_static/underscore.js"></script> 
    <script type="text/javascript" src="_static/doctools.js"></script> 
    <script type="text/javascript" src="_static/language_data.js"></script> 
     
    <script type="text/javascript" src="_static/js/theme.js"></script>
    <script type="text/javascript" src="_static/js/script.js"></script>
    <script type="text/javascript" src="_static/js/underscore-min.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>

    
    <script type="text/javascript" src="_static/js/geopattern.min.js"></script>
    <script>
        $(document).ready(function(){
            $('.geopattern').each(function(){
                var pattern = GeoPattern.generate($(this).data('pattern-id'));
                $(this).css('background-image', pattern.toDataUrl());
                //$(this).geopattern($(this).data('pattern-id'));
            });
        });
    </script>
    

        
    </body>
</html>